Skip to content

getInspectionDocuments

READ

Get inspection documents.

POST /api/v1/quality/getInspectionDocuments
curl -X POST '<your-host>/api/v1/quality/getInspectionDocuments' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "search": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "name": "string",
      "companyId": "string",
      "partId": "string",
      "createdBy": "string",
      "updatedBy": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "content": {
        "drawingNumber": "string",
        "pdfUrl": "string",
        "annotations": [
          "…"
        ],
        "features": [
          "…"
        ]
      },
      "sampling": {
        "samplingPlanType": "string",
        "samplingSampleSize": 0,
        "samplingPercentage": 0,
        "samplingAql": 0,
        "samplingInspectionLevel": "string",
        "samplingSeverity": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "search": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "object",
          "properties": {
            "limit": {
              "type": "integer",
              "default": 100
            },
            "offset": {
              "type": "integer",
              "default": 0
            }
          }
        }
      ]
    }
  },
  "required": [
    "search"
  ]
}